package sample.portal.event.handler;

import java.io.Serializable;
import java.util.HashMap;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;

import jp.co.intra_mart.foundation.portal.common.handler.PortletActionHandler;

/**
 * ポートレットイベントサンプル
 * processActionサイクルのサンプル
 * 「イベント」を発生させる
 */
public class SampleJavaActionHandler implements PortletActionHandler {

	/**
	 * アクション処理（processAction サイクル）
	 */
	public Serializable handleAction(String portletCd, ActionRequest request,
			ActionResponse response) {

		// ActionParameterを利用する
		String eventId = request.getParameter("event_id");
		String message = request.getParameter("message");

		// RenderParameterを設定する
		response.setRenderParameter("event_id", eventId);
		response.setRenderParameter("message", message);
		
		// Eventを設定する
		// "im_" でキーを設定すると、IMポートレット用のイベントが発生する。
		HashMap<String, String> map = new HashMap<String, String>();
		map.put("im_" + eventId, message);
		
		return map;

	}
}
