/**
 * ポートレットイベントサンプル
 * 「アクション」を呼び出す
 */
var actionURL;
var list = getList();
var selectedList;
var message;

/**
 * 画面表示（render サイクル）
 */
function init(request){

	// RenderRequestの取得
	var renderRequest = PortalManager.getRenderRequest();

	// ActionURLの取得
	actionURL = PortalManager.createActionURL();

	// RenderParameterを利用する
	selectedList = (request.event_id) ? [request.event_id] : null;
	message = request.message;

}

/**
 * アクション処理（processAction サイクル）
 */
function handleAction(request, response){

	// ActionParameterを利用する
	var eventKey = request.event_id || "framework";
	var message = request.message;

	// RenderParameterを設定する
	response.setRenderParameter("event_id", eventKey);
	response.setRenderParameter("message", message);

	// Eventを設定する
	// "im_" でキーを設定すると、IMポートレット用のイベントが発生する。
	var event = new Object();
	event["im_" + eventKey] = message;
	return event;
}

/**
 * イベントキーリスト
 */
function getList() {
	var eventKeys = new Array("framework", "pagebase", "all", "event1", "event2");
	var eventTexts = new Array("JavaEEに送信", "Presentationに送信", "全てに送信", "ポートレット１に送信", "ポートレット２に送信");
	var list = new Object();
	for (var i=0; i<eventKeys.length; i++) {
		list[eventKeys[i]] = eventTexts[i];
	}
	return list;
}
