//=============================================================================
//	【作成者】NTTDATA INTRA-MART.corp
//	【作成日】2005/12/27
//	【更新日】
//	【更新者】
//	【 概要 】「重要なお知らせ」ポートレットに新着情報を表示するサンプルです。
//			　jp.co.intra_mart.foundation.portal.general_purpose_portal.provider.PageBaseCallProvider
//			　から呼び出され、新着情報を返却します。
//	【入力値】user 		 String ユーザコード
//			　group		 String ログイングループID
//			　properties Object パラメータ(設定ファイルに定義された初期化パラメータ)
//	【返却値】なし
//=============================================================================
function getNewArrivedList(user, group, properties) {

	// カテゴリ
	var categoryId = (isUndefined(properties.category) || properties.category == '') ? null : properties.category.split(',');

    // データベースからデータを取得
	var result = selectNewArrivedList(categoryId);
	var values = new Array();
	if (!result.error) {
		// 取得結果を返却
		for (var i = 0; i < result.countRow; i++) {
			values[i] = new Object();
			values[i].category = result.data[i].category;
			values[i].contents = result.data[i].contents;
			values[i].date = result.data[i].arrived_date;
			values[i].url = result.data[i].url;
			values[i].popup = ("1" == result.data[i].popup);
		}
	}
	return values;
}


function selectNewArrivedList(categoryId) {

	// SQLを生成
	var dbParameter	= new Array();
	var sql = "SELECT id, category, contents, arrived_date, url, popup";
	sql += " FROM sample_newly_arrived_portlet";

	// カテゴリ（検索条件）
	if (categoryId != null) {
		sql += " WHERE category_id IN (?";
		dbParameter[0] = new DbParameter(categoryId[0], DbParameter.TYPE_STRING);

		for (var i = 1; i < categoryId.length; i++) {
			sql += ", ?";
			dbParameter[i] = new DbParameter(categoryId[i], DbParameter.TYPE_STRING);
		}
		sql += ")";
	}

	// 検索を実行
	var tenantDatabase = new TenantDatabase();
	return tenantDatabase.select(sql, dbParameter);
}
